POST api/Merchant/BiometricKyc
Request Information
URI Parameters
None.
Body Parameters
BOMerchantBiometricKycRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| merchantNo | string |
None. |
|
| referenceKey | string |
None. |
|
| latitude | string |
None. |
|
| longitude | string |
None. |
|
| partner_request_id | string |
None. |
|
| captureType | string |
None. |
|
| aadhaarNo | string |
None. |
|
| biometricData | BOMerchantBiometricData |
None. |
Request Formats
application/json, text/json
Sample:
{
"merchantNo": "sample string 1",
"referenceKey": "sample string 2",
"latitude": "sample string 3",
"longitude": "sample string 4",
"partner_request_id": "sample string 5",
"captureType": "sample string 6",
"aadhaarNo": "sample string 7",
"biometricData": {
"pidData": "sample string 1",
"sessionKey": "sample string 2",
"hmac": "sample string 3"
}
}
application/xml, text/xml
Sample:
<BOMerchantBiometricKycRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BO.Merchant">
<aadhaarNo>sample string 7</aadhaarNo>
<biometricData>
<hmac>sample string 3</hmac>
<pidData>sample string 1</pidData>
<sessionKey>sample string 2</sessionKey>
</biometricData>
<captureType>sample string 6</captureType>
<latitude>sample string 3</latitude>
<longitude>sample string 4</longitude>
<merchantNo>sample string 1</merchantNo>
<partner_request_id>sample string 5</partner_request_id>
<referenceKey>sample string 2</referenceKey>
</BOMerchantBiometricKycRequest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.